<?php
	if(!isset($_GET['slug']) || (isset($_GET['slug']) && empty($_GET['slug']))) {
		header('location:/404.php');
		exit;
	}
	/* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 

// load records from 'categories2s'
  list($productsRecords, $productsMetaData) = getRecords(array(
	'tableName'   => 'about_us',
	'where'		  => " `url_slug` = '".mysql_escape($_GET['slug'])."' ",
	'loadUploads' => true,
	'allowSearch' => false,
  ));
  if(isset($productsRecords) && is_array($productsRecords) && count($productsRecords)) {
	$product_record = $productsRecords[0];
  } else {
	header('location:/404.php');
	exit;
  }
 
  $meta_title = $meta_keywords = $meta_description = "SmartVent | Product";
  if(isset($product_record['meta_title']) && !empty($product_record['meta_title']))
	$meta_title = $product_record['meta_title'];
  if(isset($product_record['meta_keywords']) && !empty($product_record['meta_keywords']))
	$meta_keywords = $product_record['meta_keywords'];
  if(isset($product_record['meta_description']) && !empty($product_record['meta_description']))
	$meta_description = $product_record['meta_description'];
?><!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
		<base href="https://test.smartvent.com" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
        <!-- Owl Carousel CSS -->
        <link rel="stylesheet" href="css/owl.carousel.min.css">
      
        <title><?php echo $meta_title ?></title>
		<meta name="title" content="<?php echo $meta_title ?>">
		<meta name="description" content="<?php echo $meta_description ?>">
		<meta name="keywords" content="<?php echo $meta_keywords ?>">
    </head>
    <body>
        <main class="main_catalog_wrapper">

  <?php include 'includes/header.php'?>

    
<div class="container">
           <div class="tab_header">
                                          <h2><?php echo htmlencode($product_record['title']) ?></h2>

                                    </div></div>

            <!-- Plan Support Content -->
            <section class="plan_support_block">
                <div class="container common-content">
                    <?php echo $product_record['content']; ?>
                </div>
            </section>
            <!-- End -->

           <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>

    </body>
</html>