<?php

/**
 * User: swyam.joshi@gmail.com
 * Date: 04-09-19
 * Time: 00:10
 */
class Curl {
	
	public function post_request($my_endpoint, $arrPost, $headers=array()){
		 // setting the curl parameters.
		 $ch = curl_init();
		 curl_setopt($ch, CURLOPT_URL, $my_endpoint);
		 curl_setopt($ch, CURLOPT_VERBOSE, 1);
		 curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
		 //curl_setopt($ch, CURLOPT_HEADER, 1); // tells curl to include headers in response, use for testing
		 // turning off the server and peer verification(TrustManager Concept).
		 curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		 curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
		 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		 curl_setopt($ch, CURLOPT_POST, 1);
		 // setting the NVP $my_api_str as POST FIELD to curl
		 curl_setopt($ch, CURLOPT_POSTFIELDS, $arrPost);
		 // getting response from server
		 $httpResponse = curl_exec($ch);
		 if(!$httpResponse)
		 {
		   $response = "failed: ".curl_error($ch)."(".curl_errno($ch).")";
		   return $response;
		 }
		
		 return $httpResponse;
	}

	public function get_request($my_endpoint,  $headers){
		 // setting the curl parameters.
		 $ch = curl_init();
		 curl_setopt($ch, CURLOPT_URL, $my_endpoint);
		 curl_setopt($ch, CURLOPT_VERBOSE, 1);
		 if(!empty($headers)) {
		curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
		 }
		 //curl_setopt($ch, CURLOPT_HEADER, 1); // tells curl to include headers in response, use for testing
		 // turning off the server and peer verification(TrustManager Concept).
		 curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		 curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
		 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	//	 curl_setopt($ch, CURLOPT_POST, 1);
		 // setting the NVP $my_api_str as POST FIELD to curl
		 //curl_setopt($ch, CURLOPT_POSTFIELDS, $arrPost);
		 // getting response from server
		 $httpResponse = curl_exec($ch);
		 if(!$httpResponse)
		 {
		   $response = "$API_method failed: ".curl_error($ch)."(".curl_errno($ch).")";
		   return $response;
		 }
		
		 return $httpResponse;
	}

	public function download_file( $image_path, $file_url ) {
			$rv = false;
			$ch =  curl_init( $file_url );
			curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
			curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, 0 );
			curl_setopt( $ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT'] );      
			$result = curl_exec( $ch );
			$rv = file_put_contents( $image_path, $result );
			return $rv !== false;
	}
}