<?php
	session_start();
include('includes/function.php');
$arrError = array();
if(isset($_POST['btn_submit'])){
	if(isset($_POST['subject']) && empty($_POST['subject'])){
		$arrError['subject'] = "Please enter subject."; 
	}
	if(isset($_POST['contact_type']) && empty($_POST['contact_type'])){
		$arrError['contact_type'] = "Please enter contact type."; 
	}
	if(isset($_POST['first_name']) && empty($_POST['first_name'])){
		$arrError['first_name'] = "Please enter first name."; 
	}
	if(isset($_POST['last_name']) && empty($_POST['last_name'])){
		$arrError['last_name'] = "Please enter last name."; 
	}
	if(isset($_POST['company_name']) && empty($_POST['company_name'])){
		$arrError['company_name'] = "Please enter company name."; 
	}
	if(isset($_POST['email']) && empty($_POST['email'])){
		$arrError['email'] = "Please enter email address."; 
	}else if(isset($_POST['email']) && !empty($_POST['email']) && !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
		$arrError['email'] = 'Please enter valid email address.';
	}
	if(isset($_POST['phone']) && empty($_POST['phone'])){
		$arrError['phone'] = "Please enter phone number."; 
	}
	if(isset($_POST['address']) && empty($_POST['address'])){
		$arrError['address'] = "Please enter address."; 
	}
	if(isset($_POST['city']) && empty($_POST['city'])){
		$arrError['city'] = "Please enter city."; 
	}
	if(isset($_POST['state']) && empty($_POST['state'])){
		$arrError['state'] = "Please enter state."; 
	}
	if(isset($_POST['zipcode']) && empty($_POST['zipcode'])){
		$arrError['zipcode'] = "Please enter zipcode."; 
	}
	if(isset($_POST['message']) && empty($_POST['message'])){
		$arrError['message'] = "Please enter message."; 
	}
	if(!isset($_POST['g-recaptcha-response'])){
		$arrError['recatcha'] = "Please select 'I am not a robot' and prove that you are human."; 
	}else if(isset($_POST['g-recaptcha-response'])) {
		/* your site secret key */
		$secret = '6LePxwcUAAAAAHogvl0tYWFB63iJ-AJCjTQrSffT';
		/* get verify response data */
		$verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$secret.'&response='.$_POST['g-recaptcha-response']);
		$responseData = json_decode($verifyResponse);
		if(!$responseData->success) {
			$arrError['recatcha'] = "Please select 'I am not a robot' and prove that you are human."; 
		}
	}
	$arrError = _err_delimiter($arrError);
	
	if(isset($arrError) && is_array($arrError) && count($arrError)==0){
		$headers = "MIME-Version: 1.0" . "\r\n";
		$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
		$to = 'dev@s2smedia.net';
		$subject = "New contact request";
		
		$arrFind = array(
			'[SUBJECT]','[CONTACT_TYPE]','[MESSAGE]',
			'[COMPANY_NAME]','[FIRST_NAME]','[LAST_NAME]','[ADDRESS]',
			'[CITY]','[STATE]','[ZIPCODE]','[PHONE]','[EMAIL]',
		);
		$arrReplace = array(
			$_POST['subject'],$_POST['contact_type'],$_POST['message'],
			$_POST['company_name'],$_POST['first_name'],$_POST['last_name'],$_POST['address'],
			$_POST['city'],$_POST['state'],$_POST['zipcode'],$_POST['phone'],$_POST['email'],
		);
		$tmpHTML = file_get_contents('contactus_email_content.html');
		$tmpContent = str_replace($arrFind,$arrReplace,$tmpHTML);
		$emailHTML = file_get_contents('email_template.html');
		$message = str_replace('[EMAIL_CONTENT]',$tmpContent,$emailHTML);
		
		
		require_once 'class.phpmailer.php';
	
		$mail = new PHPMailer();
		$mail->IsSMTP();
		try {
									
			$mail->Host       = "web.s2shost.net";
			$mail->SMTPAuth   = true;
			$mail->SMTPSecure = "ssl";
			$mail->Port       = 465;
			$mail->Username   = "notify@smartvent.com";
			$mail->Password   = "m%s.]b,vm{Ek";
			
			$mail->SetFrom('notify@smartvent.com', 'smartvent.com');
			$mail->AddAddress($to);
			$mail->Subject = $subject;
			$mail->AltBody = 'To view the message, please use an HTML compatible email viewer!';
			$mail->MsgHTML($message);
			
			$mail->Send();
			
		} catch (phpmailerException $e) {
			//$err[] = "Failed sending an alert email to Admin, due to: \n".$e->errorMessage();
			//if(@$_SERVER['REMOTE_ADDR']=='39.50.254.75'){echo "<div>FAILED: ".$e->errorMessage()."</div>";}
			echo "Error processing your request. Tyagain";
		}
		
		/* mail($to,$subject,$message,$headers); */
		$_SESSION['sess_succ'] = " Successfully Register ....";		
		header("location:contactus.php");
		die;
	}
}

?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
        <!-- Owl Carousel CSS -->
        <link rel="stylesheet" href="css/owl.carousel.min.css">
      
        <title>SmartVent | Contact Us</title>
    </head>
    <body>
        <main class="main_contactus_wrapper">

            <?php include 'includes/header.php'?>

    
<div class="container">
           <div class="tab_header">
                                                <h2>Contact Us</h2>
                                    </div></div>

            <!-- Contact Us Wrap -->
            <section class="contactus_wrapper">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="contact_left_wrap">
                              <?php echo $contact_usRecord['content']; ?>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="contact_form_wrapper">
									<?php if(isset($_SESSION['sess_succ']) && !empty($_SESSION['sess_succ'])) {
									echo '<h1>'.$_SESSION['sess_succ'].'</h1>';
									unset($_SESSION['sess_succ']);
								} else { ?>
                                <form id="contact-form" method="post">
                                    <div class="form-row form-group">
                                        <div class="col">
                                            <label>Subject</label>
<select name="subject" class="form-control" value="<?=_prePopulate('subject')?>">
<option>Select One</option>
<option>Request a Brochure</option>
<option>Information Request</option>
<option>Product Question</option>
<option>Service Question</option>
<option>Website Question</option>
<option>Suggestion</option>
<option>Other</option></select>
<?php echo _arrError('subject');?>
                                                                                  </div>
                                        <div class="col">
                                            <label>Contact Type</label>
                                          											 <select name="contact_type" class="form-control" value="<?=_prePopulate('contact_type')?>">
<option>Select One</option>
<option>Architect/Engineer</option>
<option>Builder/Contractor</option>
<option>Certified Floodplain Manager</option>
<option>Code Official</option>
<option>Dealer</option>
<option>Government Official</option>
<option>Homeowner</option>
<option>Installer</option>
<option>Insurance Agent</option>
<option>Real Estate Agent</option>
<option>Sales Rep</option>
<option>Specifier</option>
<option>Surveryor</option>
<option>Other</option>


</select>
<?php echo _arrError('contact_type');?>
            </div>
                                    </div>
                                    <div class="form-row form-group form-space1">
                                        <div class="col">
                                            <label>First Name</label>
                                            <input name="first_name" type="text" class="form-control" placeholder="First Name" value="<?=_prePopulate('first_name')?>">
											<?php echo _arrError('first_name');?>
                                        </div>
                                        <div class="col">
                                            <label>Last Name</label>
                                            <input name="last_name" type="text" class="form-control" placeholder="Last Name" value="<?=_prePopulate('last_name')?>">
											<?php echo _arrError('last_name');?>
                                        </div>
                                    </div>
                                    <div class="form-row form-group full_form form-space1">
                                        <div class="col">
                                            <label>Company Name</label>
                                            <input name="company_name" type="text" class="form-control" placeholder="Company Name" value="<?=_prePopulate('company_name')?>">
											<?php echo _arrError('company_name');?>
                                        </div>
                                    </div>
                                    <div class="form-row form-group form-space2">
                                        <div class="col">
                                            <label>Email Address</label>
                                            <input name="email" type="email" class="form-control" placeholder="Email Address" value="<?=_prePopulate('email')?>">
											<?php echo _arrError('email');?>
                                        </div>
                                        <div class="col">
                                            <label>Phone Number</label>
                                            <input name="phone" type="text" class="form-control" placeholder="Phone Number" value="<?=_prePopulate('phone')?>">
											<?php echo _arrError('phone');?>
                                        </div>
                                    </div>
                                    <div class="form-row form-group full_form form-space1">
                                        <div class="col">
                                            <label>Street Address</label>
                                            <input name="address" type="text" class="form-control" placeholder="Street Address" value="<?=_prePopulate('address')?>">
											<?php echo _arrError('address');?>
                                        </div>
                                    </div>
                                    <div class="form-row form-group form-space2">
                                        <div class="col">
                                            <div class="three_field">
                                                <div class="field_wrap">
                                                    <label>City</label>
                                                    <input name="city" type="text" class="form-control" placeholder="City" value="<?=_prePopulate('city')?>">
													<?php echo _arrError('city');?>
                                                </div>
                                                <div class="field_wrap2">
                                                    <label>State</label>
                                                    <input name="state" type="text" class="form-control" placeholder="State" value="<?=_prePopulate('state')?>">
													<?php echo _arrError('state');?>
                                                </div>
                                                <div class="field_wrap3">
                                                    <label>Zip</label>
                                                    <input name="zipcode" type="text" class="form-control" placeholder="Zip Code" value="<?=_prePopulate('zipcode')?>">
													<?php echo _arrError('zipcode');?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-row form-group form-space1">
                                        <div class="col">
                                            <label>Message</label>
                                            <textarea name="message" placeholder="Message" class="form-control"><?=_prePopulate('message')?></textarea>
											<?php echo _arrError('message');?>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="g-recaptcha" data-sitekey="6LePxwcUAAAAALmudwVqcu1FKXkP1BDhiYeuf7_o" data-callback="verifyRecaptchaCallback" data-expired-callback="expiredRecaptchaCallback"></div>
                                        <input class="form-control d-none" data-recaptcha="true" data-error="Please complete the Captcha">
                                        <div class="help-block with-errors"></div>
										<?php echo _arrError('recatcha');?>
                                    </div>
                                    <div class="contact_btn">
                                        <button type="submit" style="border: unset;" class="form_btn" name="btn_submit">Submit</button>
                                    </div>
                                </form>
								
								<?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- End -->
<?php include 'includes/flood.php'?><?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>
        </main>
		<script src='https://www.google.com/recaptcha/api.js'></script>
    </body>
</html>