<?php
  /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }

  // load record from 'about_us'
  list($about_usRecords, $about_usMetaData) = getRecords(array(
    'tableName'   => 'about_us',
    'where'       => '', // load first record
    'loadUploads' => true,
  ));
  $about_usRecord = @$about_usRecords[0]; 

// load record from 'site_logo'
  list($site_logoRecords, $site_logoMetaData) = getRecords(array(
    'tableName'   => 'site_logo',
    'where'       => '', // load first record
    'loadUploads' => true,
 
  ));
  $site_logoRecord = @$site_logoRecords[0]; // get first record
// load record from 'dealer_locator_installers'
  list($dealer_locator_installersRecords, $dealer_locator_installersMetaData) = getRecords(array(
    'tableName'   => 'dealer_locator_installers',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $dealer_locator_installersRecord = @$dealer_locator_installersRecords[0]; // get first record
 // load record from 'professional_services'
  list($professional_services2Records, $professional_services2MetaData) = getRecords(array(
    'tableName'   => 'professional_services2',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $professional_servicesRecord = @$professional_services2Records[0]; // get first record

  // load records from 'home_page_slider'
  list($home_page_sliderRecords, $home_page_sliderMetaData) = getRecords(array(
    'tableName'   => 'home_page_slider',
    'loadUploads' => true,
    'allowSearch' => false,
  ));

// load records from 'additional_services'
  list($additional_servicesRecords, $additional_servicesMetaData) = getRecords(array(
    'tableName'   => 'additional_services',
    'loadUploads' => true,
    'allowSearch' => false,
  ));

  $additional_servicesRecord = @$additional_servicesRecords[0]; // get first record
 /*
 // load records from 'products'
  list($productsRecords, $productsMetaData) = getRecords(array(
    'tableName'   => 'products',
    'loadUploads' => true,
    'allowSearch' => false,
  ));
*/
  // load records from 'categories'
  list($categories2RecordsMenu, $categories2MetaData) = getRecords(array(
    'tableName'   => 'categories2',
    'loadUploads' => true,
    'allowSearch' => false,
  ));
  // load records from 'categories'
  list($categoriesRecordsMenu, $categoriesMetaData) = getRecords(array(
    'tableName'   => 'categories',
    'loadUploads' => true,
    'allowSearch' => false,
  ));
  


// load record from 'contact_us'
  list($contact_usRecords, $contact_usMetaData) = getRecords(array(
    'tableName'   => 'contact_us',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $contact_usRecord = @$contact_usRecords[0];

// load record from 'contact_us'
  list($contact_usRecords, $contact_usMetaData) = getRecords(array(
    'tableName'   => 'contact_us',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
  ));
  $contact_usRecord = @$contact_usRecords[0]; // get first record

 // load record from 'dealer_locator'
  list($dealer_locatorRecords, $dealer_locatorMetaData) = getRecords(array(
    'tableName'   => 'dealer_locator',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $dealer_locatorRecord = @$dealer_locatorRecords[0]; // get first record


  // load record from 'homepage_content'
  list($homepage_contentRecords, $homepage_contentMetaData) = getRecords(array(
    'tableName'   => 'homepage_content',
    'where'       => '', // load first record
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $homepage_contentRecord = @$homepage_contentRecords[0]; // get first record

?>
 
<!-- Header Block -->
            <header class="main_header_wrap">
                <div class="top-header">
                    <div class="container">
                        <div class="top_main_wrap">
                            <div class="top-buttons">
                                <p><span><img src="images/header_location.png" alt="Icon" class="img-fluid"></span><a href="../locator.php">DEALER LOCATOR</a></p>
                                <p><span><img src="images/header_register.png" alt="Icon" class="img-fluid"></span><a href="../product-registration.php">PRODUCT REGISTRATION</a></p>
                            </div>
                            <div class="top-social">
                                <ul>
								<?php if(isset($location_page) && $location_page === true ) {
									?>
									<li><a href="<?php echo htmlencode($contact_usRecord['facebook_link']) ?>" target="_blank"><i class="fab fa-facebook-f" aria-hidden="true"></i></a></li>
                                        <li><a href="<?php echo htmlencode($contact_usRecord['twitter_link']) ?>" target="_blank"><i class="fab fa-twitter" aria-hidden="true"></i></a></li>
                                        <li><a href="<?php echo htmlencode($contact_usRecord['youtube_link']) ?>" target="_blank"><i class="fab fa-youtube" aria-hidden="true"></i></a></li>
                                        <li><a href="<?php echo htmlencode($contact_usRecord['linkedin_link']) ?>" target="_blank"><i class="fab fa-linkedin-in" aria-hidden="true"></i></a></li>
									<?php
								} else { ?>
                                     <li><a href="<?php echo htmlencode($contact_usRecord['facebook_link']) ?>" target="_blank"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                                        <li><a href="<?php echo htmlencode($contact_usRecord['twitter_link']) ?>" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                                        <li><a href="<?php echo htmlencode($contact_usRecord['youtube_link']) ?>" target="_blank"><i class="fa fa-youtube-play" aria-hidden="true"></i></a></li>
                                        <li><a href="<?php echo htmlencode($contact_usRecord['linkedin_link']) ?>" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
								<?php } ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="bottom-header">
                    <div class="container">
                        <nav class="navbar navbar-expand-lg">
                            <a class="navbar-brand" href="#">
								<?php foreach ($site_logoRecord['header_logo'] as $index => $upload): ?>
                                <a href="<?php echo htmlencode($upload['info1']) ?>"><img src="<?php echo htmlencode($upload['urlPath']) ?>" alt="Logo" class="img-fluid" style="max-width:220px"></a>
								<?php endforeach ?>
                            </a>
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                                <span class="navbar-toggler-icon"></span>
                                <span class="navbar-toggler-icon"></span>                                
                            </button>
                            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul class="navbar-nav ml-auto">
                                  
								  <li class="nav-item">
                                        <a class="nav-link" href="/products/allproducts">Catalog</a>
                                   </li>
									<?php /*
                                    <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Product Catalog</a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
											  <?php foreach ($categoriesRecordsMenu as $record): ?>
                                            <a class="dropdown-item" href="/products/<?php echo $record['url_slug'] ?>"><?php echo htmlencode($record['title']) ?></a>
											<?php endforeach ?>
										</div>
									</li> */ ?> 
<li class="nav-item">
                                        <a class="nav-link" href="locator.php">Dealer Locator</a>
                                    </li>
								 <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Additional Services</a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
											<?php foreach ($additional_servicesRecords as $record): ?>
                                            <a class="dropdown-item" href="/services/<?php echo $record['url_slug'] ?>"><?php echo htmlencode($record['title']) ?></a>
                                           <?php endforeach ?>
                                        </div>
                                    </li>

                 <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Resources</a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
											<?php foreach ($categories2RecordsMenu as $record): ?>
                                            <a class="dropdown-item" href="/resources/<?php echo $record['url'] ?>"><?php echo htmlencode($record['title']) ?></a>
                                           <?php endforeach ?>
 <a class="dropdown-item" href="portfolio.php">Portfolio</a>

                                        </div>
                                    </li>
                                   
                                    <?php /*
									<li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">About Us</a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
											<?php foreach ($about_usRecords as $record): ?>
                                            <a class="dropdown-item" href="/page/<?php echo $record['url_slug'] ?>"><?php echo htmlencode($record['title']) ?></a>
                                           <?php endforeach ?>
                                        </div>
                                    </li> */ ?>
									<li class="nav-item">
                                        <a class="nav-link" href="/page/about-us">About Us</a>
                                   </li>
                                    <li class="nav-item">
                                        <a class="nav-link" href="contactus.php">Contact Us</a>
                                    </li>
                                </ul>
                            </div>
                        </nav>
                    </div>
                </div>
            </header>
            <!-- End -->