<? error_reporting(E_ALL); ini_set('display_errors', TRUE); ini_set('display_startup_errors', TRUE); ?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

        <title>SmartVent | Portfolio</title>
    </head>
    <body>
        <main class="main_catalog_wrapper">

           <?php include 'includes/header.php';
		   


  // load records from 'categories'
  list($categories3Records, $categories3MetaData) = getRecords(array(
    'tableName'   => 'categories3',
    'loadUploads' => true,
    'allowSearch' => false,
  ));
		   
		   
		   ?>

            <!-- Product Portfolio -->
            <section class="catalog_content_wrap">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4 col-lg-3">
                            <div class="tabs_left_main">
                                <h2>Project Portfolio</h2>
                                <ul class="nav nav-pills" id="pills-tab" role="tablist">
									<?php 
									$classShow = ' active';
									foreach ($categories3Records as $record): ?>
                                    <li class="nav-item">
                                        <a class="nav-link<?php echo $classShow;?>" id="pills-<?php echo htmlencode($record['num']) ?>-tab" data-toggle="pill" href="#pills-<?php echo htmlencode($record['num']) ?>" role="tab" aria-controls="pills-<?php echo htmlencode($record['num']) ?>" aria-selected="true"><?php echo htmlencode($record['title']) ?></a>
                                    </li>
									<?php $classShow=''; endforeach ?>
                                    <!-- <li class="nav-item">
                                        <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">Insulated</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">Options <br/>& Accessories</a>
                                    </li> -->
                                </ul>
                         <!--
                                <div class="tab_left_links">
                                    <h3>Specifications</h3>
                                    <ul>
                                        <li><a href="#">Master Format '16 (.doc)</a></li>
                                    </ul>
                                </div> -->
                            </div>
                        </div>
                        <div class="col-md-8 col-lg-9">
                            <div class="tab-content" id="pills-tabContent">
                                <?php 
								$classShow = ' show active ';
								foreach ($categories3Records as $record): 
								
								
								// load records from 'products'
								  list($productsRecords, $productsMetaData) = getRecords(array(
									'tableName'   => 'portfolio',
									'where'		  => "FIND_IN_SET(".$record['num'].", REPLACE( `category` , '\t', ',' ) )",
									'loadUploads' => true,
									'allowSearch' => false,
								  ));
								?>
                                    
									<div class="tab-pane fade <?php echo $classShow ?>" id="pills-<?php echo htmlencode($record['num']) ?>" role="tabpanel" aria-labelledby="pills-<?php echo htmlencode($record['num']) ?>-tab">
                                    <div class="tab_header">
                                        <h2><?php echo htmlencode($record['title']) ?></h2>
                                    </div>
                                    <div class="row">
										<?php foreach ($productsRecords as $record2): 
											$image = 'images/product_img.jpg';
											if(isset($record2['images'][0]['urlPath']) && !empty($record2['images'][0]['urlPath'])) {
												$image = $record2['images'][0]['urlPath'];
											}
										?>
                                        <div class="col-md-6 col-lg-4">
                                            <div class="model_block">
                                                <a href="/case-study/<?php echo htmlencode($record2['url']) ?>"><div class="sv-image"style="background-image:url('<?php echo $image ?>');"></div><!--<img src="<?php echo $image ?>" alt="<?php echo htmlencode($record['title']) ?>" title="<?php echo htmlencode($record['title']) ?>" class="img-fluid">--></a>
                                                <div class="model_inner">
                                                    <h3><?php echo htmlencode($record2['title']) ?></h3>
                                                    <p><?php echo htmlencode($record2['short_description']) ?></p>
                                                    <a href="/case-study/<?php echo htmlencode($record2['url']) ?>" class="btn_2">See More</a>
                                                </div>
                                            </div>
                                        </div>
                                     <?php endforeach ?>
										
										
										
										
										
                                       
                                    </div>
                                </div>
								<?php 
								$classShow = '';
								endforeach ?>
                             
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- End -->

          <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
    </body>
</html>