<?php
	
  
  // load viewer library
  $libraryPath = 'admin/lib/viewer_functions.php';
  $dirsToCheck = ['','../','../../','../../../','../../../../']; // add if needed: '/home/smartvent/public_html/public_html/'
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); } 

// load record from 'additional_services'
  list($professional_services2Records, $professional_services2MetaData) = getRecords(array(
    'tableName'   => 'additional_services',
    'where'		  => " `url_slug` = '".mysql_escape($_GET['slug'])."' ",
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $dbRecord = @$professional_services2Records[0]; // get first record
  

?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<base href="https://test.smartvent.com" />
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="images/favicon.png"/>
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <!-- Reset CSS -->
        <link rel="stylesheet" href="css/reset.css">
        <!-- Custom CSS -->
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <!-- Responsive CSS -->
        <link rel="stylesheet" type="text/css" href="css/media.css">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
        <!-- Owl Carousel CSS -->
        <link rel="stylesheet" href="css/owl.carousel.min.css">
      
        <title><?php echo $dbRecord['title'] ?></title>
		<meta name="title" content="<?php echo $dbRecord['title'] ?>">
		<meta name="description" content="<?php echo $dbRecord['title'] ?>">
		<meta name="keywords" content="<?php echo $dbRecord['title'] ?>">
    </head>
    <body>
        <main class="main_catalog_wrapper">

  <?php include 'includes/header.php'?>

         
<div class="container">
           <div class="tab_header">
                                         <h2><?php echo htmlencode($dbRecord['title']) ?></h2>
                                    </div></div>
            <!-- Plan Support Content -->
            <section class="plan_support_block">
                <div class="container common-content service-content">
                    <?php echo $dbRecord['content']; ?>
                </div>
            </section>
            <!-- End -->

   <?php include 'includes/flood.php'?>

           <?php include 'includes/locator.php'?>
           <?php include 'includes/footer.php'?>

        </main>
    </body>
</html>